: Class AutoLookupDirectory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.resources
Class AutoLookupDirectory

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.AbstractContainer
                              |
                              +--org.w3c.tools.resources.ContainerResource
                                    |
                                    +--org.w3c.tools.resources.DirectoryResource
                                          |
                                          +--org.w3c.jigsaw.resources.DirectoryResource
                                                |
                                                +--org.w3c.jigsaw.resources.PassDirectory
                                                      |
                                                      +--org.w3c.jigedit.cvs.CvsRootDirectory
                                                            |
                                                            +--org.w3c.jigedit.resources.AutoLookupDirectory

public class AutoLookupDirectory
extends CvsRootDirectory

A special version of DirectoryResource that can fetch a file from CVS directly if it is not already here. It can alos do an automatic update, depending on a flag

Fields inherited from class org.w3c.jigedit.cvs.CvsRootDirectory
`ATTR_CVSROOT`

Fields inherited from class org.w3c.jigsaw.resources.PassDirectory
`ATTR_PASSTARGET`

Fields inherited from class org.w3c.jigsaw.resources.DirectoryResource
`ATTR_NEGOTIABLE`

Fields inherited from class org.w3c.tools.resources.DirectoryResource
`ATTR_DIRECTORY, ATTR_DIRSTAMP, ATTR_EXTENSIBLE, ATTR_INDEXER`

Fields inherited from class org.w3c.tools.resources.ContainerResource
`acquired, ATTR_KEY`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`AutoLookupDirectory()`

Method Summary
`ResourceReference` | `createDirectoryResource(java.lang.String name)` Create a DirectoryResource and the physical directory too.
`protected CvsDirectory` | `getCvsManager()` Get the appropriate CVS manager for the directory we handle.
`boolean` | `isAutoUpdatable()` tell if we must always do an update.
`boolean` | `isCvsExtensible()` tell if we must add in cvs the new puted documents.
`boolean` | `lookup(LookupState ls, LookupResult lr)` Lookup the next component of this lookup state in here.
`ResourceReference` | `lookup(java.lang.String name)` Lookup the resource having the given name in this directory.

Methods inherited from class org.w3c.jigedit.cvs.CvsRootDirectory
`getCvsRoot, initialize, setValue`

Methods inherited from class org.w3c.jigsaw.resources.PassDirectory
`getDirectory`

Methods inherited from class org.w3c.jigsaw.resources.DirectoryResource
`getNegotiableFlag, index, updateNegotiableResource`

Methods inherited from class org.w3c.tools.resources.DirectoryResource
`createDefaultResource, createDefaultResource, createResource, createResource, delete, enumerateAllResourceIdentifiers, enumerateResourceIdentifiers, getDirStamp, getExtensibleFlag, getIndexedName, getIndexer, reindex, resourceRemoved, updateDefaultChildAttributes, verify`

Methods inherited from class org.w3c.tools.resources.ContainerResource
`acquireChildren, addResource, delete, deleteChildren, getChildrenSpaceEntry, getClone, getKey, getMatchingCharsCount, getSpaceEntry, internalLookup, notifyUnload, registerResource, replace, resourceCreated, resourceModified`

Methods inherited from class org.w3c.tools.resources.AbstractContainer
`attributeChanged, enumerateResourceIdentifiers, resourceUnloaded`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, disableEvent, displayEvent, enableEvent, eventDisabled, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameModified, frameRemoved, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, perform, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, processEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getStoreEntry, getURLPath, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoLookupDirectory

    public AutoLookupDirectory()

Method Detail

### getCvsManager

    protected CvsDirectory getCvsManager()
                                  throws CvsException

  Get the appropriate CVS manager for the directory we handle.
  Returns:
    A CvsDirectory instance.
  Throws:
    CvsException - If we couldn't get the manager.

### isAutoUpdatable

    public boolean isAutoUpdatable()

  tell if we must always do an update.

### isCvsExtensible

    public boolean isCvsExtensible()

  tell if we must add in cvs the new puted documents.

### createDirectoryResource

    public ResourceReference createDirectoryResource(java.lang.String name)

  Create a DirectoryResource and the physical directory too. Add the new directory in the CVS repository.
  Overrides:
    createDirectoryResource in class DirectoryResource
  Parameters:
    `name` - the name of the resource.
  Returns:
    A ResourceReference instance.

### lookup

    public boolean lookup(LookupState ls,
                          LookupResult lr)
                   throws ProtocolException

  Lookup the next component of this lookup state in here.
  Overrides:
    lookup in class DirectoryResource
  Parameters:
    `ls` - The current lookup state.
    `lr` - The lookup result under construction.
  Returns:
    A boolean, true if lookup has completed, false if it should be continued by the caller.
  Throws:
    ProtocolException - If an error occurs.

### lookup

    public ResourceReference lookup(java.lang.String name)

  Lookup the resource having the given name in this directory. if the resource is not present, it will try to fetch it from the Cvs repository.
  Overrides:
    lookup in class DirectoryResource
  Parameters:
    `name` - The name of the resource.
  Returns:
    A ResourceReference instance, or null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD